## org.omg.CORBA
Class ParameterMode

    java.lang.Object
      |
      +--org.omg.CORBA.ParameterMode

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class ParameterMode
extends java.lang.Object
implements IDLEntity

This enumeration describes a parameter mode which can be "in", "out" or "inout".

See Also:
  Serialized Form

Field Summary
`static int` `_PARAM_IN` Enum member PARAM_IN value
`static int` `_PARAM_INOUT` Enum member PARAM_INOUT value
`static int` `_PARAM_OUT` Enum member PARAM_OUT value
`static ParameterMode` `PARAM_IN` Enum member PARAM_IN
`static ParameterMode` `PARAM_INOUT` Enum member PARAM_INOUT
`static ParameterMode` `PARAM_OUT` Enum member PARAM_OUT

Method Summary
`static ParameterMode` `from_int(int value)` Return a enum member from its value
`java.lang.Object` `readResolve()` Maintains singleton property for serialized enums.
`java.lang.String` `toString()` Return a string representation
`int` `value()` Return the internal member value

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _PARAM_IN

    public static final int _PARAM_IN

  Enum member PARAM_IN value

### PARAM_IN

    public static final ParameterMode PARAM_IN

  Enum member PARAM_IN

### _PARAM_OUT

    public static final int _PARAM_OUT

  Enum member PARAM_OUT value

### PARAM_OUT

    public static final ParameterMode PARAM_OUT

  Enum member PARAM_OUT

### _PARAM_INOUT

    public static final int _PARAM_INOUT

  Enum member PARAM_INOUT value

### PARAM_INOUT

    public static final ParameterMode PARAM_INOUT

  Enum member PARAM_INOUT

Method Detail

### readResolve

    public java.lang.Object readResolve()
                                 throws java.io.ObjectStreamException

  Maintains singleton property for serialized enums. Issue 4271: IDL/Java issue, Mapping for IDL enum.

### value

    public int value()

  Return the internal member value
  Returns:
    the member value

### from_int

    public static ParameterMode from_int(int value)

  Return a enum member from its value
  Parameters:
    `an` - enum value
  Returns:
    an enum member

### toString

    public java.lang.String toString()

  Return a string representation
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the enumeration